commit:     57d801e990d0222d646040a227b3b987f0a7c37e
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sun May 24 23:29:43 2020 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sun May 24 23:31:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57d801e9

sys-apps/portage: Add zstd dep to 9999

See: https://github.com/gentoo/portage/pull/549
Bug: https://bugs.gentoo.org/715108
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 sys-apps/portage/portage-9999.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/sys-apps/portage/portage-9999.ebuild 
b/sys-apps/portage/portage-9999.ebuild
index c635ab675c7..a98a909a8e4 100644
--- a/sys-apps/portage/portage-9999.ebuild
+++ b/sys-apps/portage/portage-9999.ebuild
@@ -32,6 +32,7 @@ DEPEND="!build? ( $(python_gen_impl_dep 'ssl(+)') )
 # app-portage/gemato goes without PYTHON_USEDEP since we're calling
 # the executable.
 RDEPEND="
+       app-arch/zstd
        >=app-arch/tar-1.27
        dev-lang/python-exec:2
        !build? (
@@ -231,6 +232,10 @@ pkg_preinst() {
                PYTHONPATH="${D%/}${sitedir}${PYTHONPATH:+:${PYTHONPATH}}" \
                "${PYTHON}" -m portage._compat_upgrade.default_locations || die
 
+       env -u BINPKG_COMPRESS \
+               PYTHONPATH="${D%/}${sitedir}${PYTHONPATH:+:${PYTHONPATH}}" \
+               "${PYTHON}" -m portage._compat_upgrade.binpkg_compression || die
+
        # elog dir must exist to avoid logrotate error for bug #415911.
        # This code runs in preinst in order to bypass the mapping of
        # portage:portage to root:root which happens after src_install.

Reply via email to